﻿#pragma strict

var menuSceneName:String = "menu";
var levelSelectName:String = "levelSelect";
var menuFont:Font;

var darkenScreen:GUITexture;
var pausedText:GUIText;
var resumeText:GUIText;
var restartText:GUIText;
var levelText:GUIText;
var menuText:GUIText;
var quitText:GUIText;
var resume:GameObject;
var restart:GameObject;
var level:GameObject;
var menu:GameObject;
var quit:GameObject;

private var isPaused = false;

function Start () {

if(menuFont != null){
	pausedText.font = menuFont;
	menuText.font = menuFont;
	resumeText.font = menuFont;	
	restartText.font = menuFont;
	levelText.font = menuFont;
	quitText.font = menuFont;
}	
	isPaused = false;
	Time.timeScale = 1;
	darkenScreen.guiTexture.enabled = false;
	pausedText.guiText.enabled = false;
	resume.SetActive(false);
	restart.SetActive(false);
	level.SetActive(false);
	menu.SetActive(false);
	quit.SetActive(false);

}

function Update () {

var canPause = true;
var mousePos = Camera.main.ScreenToViewportPoint(Input.mousePosition);

if(Input.GetKeyDown("escape")){
	doPause();
}

if(isPaused == true){
	if(Input.GetMouseButtonDown(0)){
		if(mousePos.y > 0.8 && mousePos.y > 0.8 && canPause){
			canPause = false;
			doPause();
		}
	}
}

#if UNITY_IOS
if(Input.GetMouseButtonDown(0)){
	if(mousePos.x > 0.8 && mousePos.y > 0.8 && canPause){
		canPause = false;
		doPause();
	}
}
#endif

#if UNITY_ANDROID
if(Input.GetMouseButtonDown(0)){
	if(mousePos.x > 0.8 && mousePos.y > 0.8 && canPause){
		canPause = false;
		doPause();
	}
}
#endif

#if UNITY_WP8
if(Input.GetMouseButtonDown(0)){
	if(mousePos.x > 0.8 && mousePos.y > 0.8 && canPause){
		canPause = false;
		doPause();
	}
}
#endif

#if UNITY_BLACKBERRY
if(Input.GetMouseButtonDown(0)){
	if(mousePos.x > 0.8 && mousePos.y > 0.8 && canPause){
		canPause = false;
		doPause();
	}
}
#endif

}

function doPause () {
	if(isPaused == false){
		isPaused = true;
		Time.timeScale = 0;
		darkenScreen.guiTexture.enabled = true;
		pausedText.guiText.enabled = true;
		resume.SetActive(true);
		restart.SetActive(true);
		level.SetActive(true);
		menu.SetActive(true);
		quit.SetActive(true);
	}else{
		isPaused = false;
		Time.timeScale = 1;
		darkenScreen.guiTexture.enabled = false;
		pausedText.guiText.enabled = false;
		resume.SetActive(false);
		restart.SetActive(false);
		level.SetActive(false);
		menu.SetActive(false);
		quit.SetActive(false);
	}
}

function doResume () {
	doPause();
}

function doRestart () {
	Application.LoadLevel(Application.loadedLevelName);
}

function doLevelSelect () {
	Application.LoadLevel(levelSelectName);
}

function doMenu () {
	Application.LoadLevel(menuSceneName);
}

function doQuit () {
	Application.Quit();
}